org.apache.hadoop.mapreduce.v2.api.records

## Interface Counter

- All Known Implementing Classes:
    CounterPBImpl

      public interface Counter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()`
    `String` | `getName()`
    `long` | `getValue()`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`
    `void` | `setValue(long value)`

- - ### Method Detail

    - #### getName

          String getName()

    - #### getDisplayName

          String getDisplayName()

    - #### getValue

          long getValue()

    - #### setName

          void setName(String name)

    - #### setDisplayName

          void setDisplayName(String displayName)

    - #### setValue

          void setValue(long value)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.